Loading...
Searching...
No Matches
OgreShaderFunctionAtom.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreStringVector.h"`
`#include "OgreGpuProgramParams.h"`
`#include "OgreShaderParameter.h"`

## Classes

class | Ogre::RTShader::AssignmentAtom
| shorthand for "lhs = rhs;" insted of using FFP_Assign(rhs, lhs) More...
struct | Ogre::RTShader::At
| shorthand for operator[] on preceding operand. e.g. myArray[p] More...
class | Ogre::RTShader::BinaryOpAtom
| shorthand for "dst = a OP b;" More...
class | Ogre::RTShader::BuiltinFunctionAtom
| shorthand for "dst = BUILTIN(args);" More...
class | Ogre::RTShader::FunctionAtom
| A class that represents an atomic code section of shader based program function. More...
class | Ogre::RTShader::FunctionInvocation
| A class that represents function invocation code from shader based program function. More...
struct | Ogre::RTShader::FunctionInvocation::FunctionInvocationCompare
| Comparator function to be used for comparisons. More...
struct | Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan
| Comparator function to be used for sorting. More...
struct | Ogre::RTShader::In
struct | Ogre::RTShader::InOut
class | Ogre::RTShader::Operand
| A class that represents a function operand (its the combination of a parameter the in/out semantic and the used fields). More...
struct | Ogre::RTShader::Out
class | Ogre::RTShader::SampleTextureAtom
| shorthand for "dst = texture(sampler, uv);" instead of using FFP_SampleTexture More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef FunctionAtomInstanceList::const_iterator | Ogre::RTShader::FunctionAtomInstanceConstIterator
typedef FunctionAtomInstanceList::iterator | Ogre::RTShader::FunctionAtomInstanceIterator
typedef std::vector< FunctionAtom * > | Ogre::RTShader::FunctionAtomInstanceList